package com.ruoyi.mqtt.dto.task;

import java.util.List;

/**
 * 到达目标点事件信息
 */
public class ArriveEventInfo {
    
    /**
     * 地图名称
     */
    private String roadmap;
    
    /**
     * 目标点ID列表
     */
    private List<Integer> nid;
    
    /**
     * 目标点坐标列表
     */
    private List<List<Double>> coord;
    
    /**
     * 状态: ok/fail
     */
    private String status;
    
    /**
     * 错误码(status为fail时存在)
     * 21:规划失败; 22:偏离车道线; 23:任务提前终止; 24:定位异常
     */
    private Integer error;
    
    public String getRoadmap() {
        return roadmap;
    }
    
    public void setRoadmap(String roadmap) {
        this.roadmap = roadmap;
    }
    
    public List<Integer> getNid() {
        return nid;
    }
    
    public void setNid(List<Integer> nid) {
        this.nid = nid;
    }
    
    public List<List<Double>> getCoord() {
        return coord;
    }
    
    public void setCoord(List<List<Double>> coord) {
        this.coord = coord;
    }
    
    public String getStatus() {
        return status;
    }
    
    public void setStatus(String status) {
        this.status = status;
    }
    
    public Integer getError() {
        return error;
    }
    
    public void setError(Integer error) {
        this.error = error;
    }
}
